Page MenuHomePhabricator

Dynamically enable/disable the related pref when toggling "Set a local exception for this global preference"
Closed, ResolvedPublic3 Story Points

Description

After T178044 it will be possible to set a local exception for a globalized preference, but the form has to be saved before the matching preference field become enabled. This should happen dynamically with JS instead.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2017, 6:44 AM
kaldari set the point value for this task to 3.Jan 10 2018, 12:29 AM
Samwilson edited projects, added Community-Tech-Sprint; removed Community-Tech.

Change 403582 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/GlobalPreferences@master] Enable/disable related preference field with local exception checkbox.

https://gerrit.wikimedia.org/r/403582

Change 403583 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/BetaFeatures@master] Make preference fields infusable

https://gerrit.wikimedia.org/r/403583

Change 403583 merged by jenkins-bot:
[mediawiki/extensions/BetaFeatures@master] Make preference fields infusable

https://gerrit.wikimedia.org/r/403583

Change 403582 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Enable/disable related preference field with local exception checkbox.

https://gerrit.wikimedia.org/r/403582

This can be tested on the commtech wiki: https://commtech.wmflabs.org./wiki/Special:Preferences

Do we need to make the "[ ] Set a local exception for this global preference. " look a bit more different (it's just in a smaller font at the moment). Perhaps indented, and with a background colour on hover that envelops the related preference?

kaldari closed this task as Resolved.Jan 26 2018, 5:46 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH added a subscriber: DannyH.Jan 30 2018, 6:58 PM

@Samwilson Yes, indented for sure. Background on hover sounds nice, let's try it and see how it feels.

Sam already created one (right above your comment :) - T186079: Improve display of local-exception checkboxes which we estimated yesterday.